import 'package:cl_appbase/appbase.dart';

/// Interface for reactive collections.
///
/// See [CollectionController] for details.
abstract class ReactiveCollection<Item> {
  Stream<CollectionState<Item>> get stream;
  Future<bool> load({bool invalidate = false});
  //TODO add get length
}
